Subject: Re: bug#49846: 28.0.50; project-find-regexp results does not open target file

From: Dmitry Gutov <[email-masked]>
Date: Thu, 5 Aug 2021 06:11:02 +0300

On 04.08.2021 23:10, Juri Linkov wrote:
> I have the same problem.  When calling xref-find-references
> from a subdirectory, not from the project root, it creates
> an*xref*  buffer where file names are relative to the
> project root (when xref-file-name-display is 'project-relative'),
> but the default directory is not the project root.
> So using file-at-point fails to find the relative file.

That sounds different. Could you file a separate report with exact 
reproduction steps? Try to make sure you're using the latest master 
first (I fixed bug ~like that a couple of months ago).

FWIW, I'm cannot reproduce.